Skip to main content
Namespaces

Create Namespace

Create a namespace with a unique name and a display name.

POST https://api.rivet.dev/namespaces

Examples

Authentication

Send your namespace token as a bearer token in the Authorization header. Every control plane request also requires the namespace query parameter. See Authentication.

Request Body

Content type: application/json.

FieldTypeRequiredDescription
display_namestringYesHuman-readable name for the namespace.
namestringYesUnique name used to identify the namespace.

Responses

200

The newly created namespace.

FieldTypeDescription
namespaceobjectName of the namespace to operate in.
namespace.create_tsinteger
namespace.display_namestring
namespace.namestring
namespace.namespace_idstring
{
  "namespace": {
    "create_ts": 1700000000000,
    "display_name": "<display_name>",
    "name": "my-actor",
    "namespace_id": "00000000-0000-0000-0000-000000000000"
  }
}